#!/bin/sh

apt-get update
apt-get upgrade -y
apt-get install -y \
	build-essential \
	dbus \
	dbus-x11 \
	libglib2.0-dev \
	libreadline-dev \
	libxml2 \
	libxml2-dev \
	nettle-dev \
	pkg-config \
	valgrind

VERSION=$(cat dist/version)

cp dist/tarot-$VERSION.tar.gz . || exit 1
tar xf tarot-$VERSION.tar.gz || exit 1
mkdir build || exit 1
cd build/
../tarot-$VERSION/configure \
    --enable-silent-rules=yes \
    --enable-valgrind=yes \
    --disable-program \
    || (cat config.log; exit 1)
make -j 16 check || exit 1
make distclean || exit 1
